#include <cstddef>
#include <functional>

namespace pit{
    template<typename T>
    std::function<T()> generate(T val){
        return [val](){return val;};
    }
    template<typename T, typename... Args>
    std::function<T(Args...)> accept_args(std::function<T()> f){
        return [f](Args...){return f();};
    }
}
